<?php
$tdatarepairlist = array();
$tdatarepairlist[".searchableFields"] = array();
$tdatarepairlist[".ShortName"] = "repairlist";
$tdatarepairlist[".OwnerID"] = "";
$tdatarepairlist[".OriginalTable"] = "repairlist";


$tdatarepairlist[".pagesByType"] = my_json_decode( "{}" );
$tdatarepairlist[".originalPagesByType"] = $tdatarepairlist[".pagesByType"];
$tdatarepairlist[".pages"] = types2pages( my_json_decode( "{}" ) );
$tdatarepairlist[".originalPages"] = $tdatarepairlist[".pages"];
$tdatarepairlist[".defaultPages"] = my_json_decode( "{}" );
$tdatarepairlist[".originalDefaultPages"] = $tdatarepairlist[".defaultPages"];

//	field labels
$fieldLabelsrepairlist = array();
$fieldToolTipsrepairlist = array();
$pageTitlesrepairlist = array();
$placeHoldersrepairlist = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsrepairlist["English"] = array();
	$fieldToolTipsrepairlist["English"] = array();
	$placeHoldersrepairlist["English"] = array();
	$pageTitlesrepairlist["English"] = array();
	$fieldLabelsrepairlist["English"]["ID"] = "ID";
	$fieldToolTipsrepairlist["English"]["ID"] = "";
	$placeHoldersrepairlist["English"]["ID"] = "";
	$fieldLabelsrepairlist["English"]["status"] = "Status";
	$fieldToolTipsrepairlist["English"]["status"] = "";
	$placeHoldersrepairlist["English"]["status"] = "";
	if (count($fieldToolTipsrepairlist["English"]))
		$tdatarepairlist[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsrepairlist["Arabic"] = array();
	$fieldToolTipsrepairlist["Arabic"] = array();
	$placeHoldersrepairlist["Arabic"] = array();
	$pageTitlesrepairlist["Arabic"] = array();
	$fieldLabelsrepairlist["Arabic"]["ID"] = "ID";
	$fieldToolTipsrepairlist["Arabic"]["ID"] = "";
	$placeHoldersrepairlist["Arabic"]["ID"] = "";
	$fieldLabelsrepairlist["Arabic"]["status"] = "Status";
	$fieldToolTipsrepairlist["Arabic"]["status"] = "";
	$placeHoldersrepairlist["Arabic"]["status"] = "";
	if (count($fieldToolTipsrepairlist["Arabic"]))
		$tdatarepairlist[".isUseToolTips"] = true;
}


	$tdatarepairlist[".NCSearch"] = true;



$tdatarepairlist[".shortTableName"] = "repairlist";
$tdatarepairlist[".nSecOptions"] = 0;

$tdatarepairlist[".mainTableOwnerID"] = "";
$tdatarepairlist[".entityType"] = 0;
$tdatarepairlist[".connId"] = "electiondb_at_ssl_localhost";


$tdatarepairlist[".strOriginalTableName"] = "repairlist";

	



$tdatarepairlist[".showAddInPopup"] = false;

$tdatarepairlist[".showEditInPopup"] = false;

$tdatarepairlist[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatarepairlist[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatarepairlist[".listAjax"] = false;
//	temporary
$tdatarepairlist[".listAjax"] = false;

	$tdatarepairlist[".audit"] = false;

	$tdatarepairlist[".locking"] = false;


$pages = $tdatarepairlist[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatarepairlist[".edit"] = true;
	$tdatarepairlist[".afterEditAction"] = 1;
	$tdatarepairlist[".closePopupAfterEdit"] = 1;
	$tdatarepairlist[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatarepairlist[".add"] = true;
$tdatarepairlist[".afterAddAction"] = 1;
$tdatarepairlist[".closePopupAfterAdd"] = 1;
$tdatarepairlist[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatarepairlist[".list"] = true;
}



$tdatarepairlist[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatarepairlist[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatarepairlist[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatarepairlist[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatarepairlist[".printFriendly"] = true;
}



$tdatarepairlist[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatarepairlist[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatarepairlist[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatarepairlist[".isUseAjaxSuggest"] = true;

$tdatarepairlist[".rowHighlite"] = true;





$tdatarepairlist[".ajaxCodeSnippetAdded"] = false;

$tdatarepairlist[".buttonsAdded"] = false;

$tdatarepairlist[".addPageEvents"] = false;

// use timepicker for search panel
$tdatarepairlist[".isUseTimeForSearch"] = false;


$tdatarepairlist[".badgeColor"] = "9ACD32";


$tdatarepairlist[".allSearchFields"] = array();
$tdatarepairlist[".filterFields"] = array();
$tdatarepairlist[".requiredSearchFields"] = array();

$tdatarepairlist[".googleLikeFields"] = array();
$tdatarepairlist[".googleLikeFields"][] = "ID";
$tdatarepairlist[".googleLikeFields"][] = "status";



$tdatarepairlist[".tableType"] = "list";

$tdatarepairlist[".printerPageOrientation"] = 0;
$tdatarepairlist[".nPrinterPageScale"] = 100;

$tdatarepairlist[".nPrinterSplitRecords"] = 40;

$tdatarepairlist[".geocodingEnabled"] = false;










$tdatarepairlist[".pageSize"] = 20;

$tdatarepairlist[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatarepairlist[".strOrderBy"] = $tstrOrderBy;

$tdatarepairlist[".orderindexes"] = array();


$tdatarepairlist[".sqlHead"] = "SELECT ID,  	status";
$tdatarepairlist[".sqlFrom"] = "FROM repairlist";
$tdatarepairlist[".sqlWhereExpr"] = "";
$tdatarepairlist[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatarepairlist[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatarepairlist[".arrGroupsPerPage"] = $arrGPP;

$tdatarepairlist[".highlightSearchResults"] = true;

$tableKeysrepairlist = array();
$tdatarepairlist[".Keys"] = $tableKeysrepairlist;


$tdatarepairlist[".hideMobileList"] = array();




//	ID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ID";
	$fdata["GoodName"] = "ID";
	$fdata["ownerTable"] = "repairlist";
	$fdata["Label"] = GetFieldLabel("repairlist","ID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarepairlist["ID"] = $fdata;
		$tdatarepairlist[".searchableFields"][] = "ID";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "repairlist";
	$fdata["Label"] = GetFieldLabel("repairlist","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarepairlist["status"] = $fdata;
		$tdatarepairlist[".searchableFields"][] = "status";


$tables_data["repairlist"]=&$tdatarepairlist;
$field_labels["repairlist"] = &$fieldLabelsrepairlist;
$fieldToolTips["repairlist"] = &$fieldToolTipsrepairlist;
$placeHolders["repairlist"] = &$placeHoldersrepairlist;
$page_titles["repairlist"] = &$pageTitlesrepairlist;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["repairlist"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["repairlist"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_repairlist()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ID,  	status";
$proto0["m_strFrom"] = "FROM repairlist";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ID",
	"m_strTable" => "repairlist",
	"m_srcTableName" => "repairlist"
));

$proto6["m_sql"] = "ID";
$proto6["m_srcTableName"] = "repairlist";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "repairlist",
	"m_srcTableName" => "repairlist"
));

$proto8["m_sql"] = "status";
$proto8["m_srcTableName"] = "repairlist";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "repairlist";
$proto11["m_srcTableName"] = "repairlist";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "ID";
$proto11["m_columns"][] = "status";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "repairlist";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "repairlist";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="repairlist";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_repairlist = createSqlQuery_repairlist();


	
		;

		

$tdatarepairlist[".sqlquery"] = $queryData_repairlist;



$tableEvents["repairlist"] = new eventsBase;
$tdatarepairlist[".hasEvents"] = false;

?>